# ----------------------------------------------------- 
# Autostart
# ----------------------------------------------------- 

# Setup XDG for screen sharing
exec-once = ~/.config/hypr/scripts/xdg.sh

# Start Polkit
exec-once = systemctl --user start plasma-polkit-agent

exec-once = dunst

exec-once = hypridle

exec-once = wl-paste --watch cliphist store

# Initialize wallpaper
exec-once = hyprpaper

# Launch Waybar
exec-once = ~/.config/waybar/launch.sh

# Autostart cleanup
exec-once = ~/.config/hypr/scripts/cleanup.sh
